Bug 212788 - FC5=>FC6 upgrade overwrote dhcpd.conf without an rpmsave
FC5=>FC6 upgrade overwrote dhcpd.conf without an rpmsave
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Depends On:
  Show dependency treegraph
Reported: 2006-10-28 23:06 EDT by John Bass
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-31 17:03:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Bass 2006-10-28 23:06:21 EDT
Description of problem:
Upgrade overwrote dhcpd.conf configuration file without saving the production
verion during an upgrade from FC5 to FC6.

Version-Release number of selected component (if applicable):

How reproducible:
Assume always ... did for both our servers.

Steps to Reproduce:
1. upgrade from FC5 to FC6 via CDROM
Actual results:
original dhcpd.conf is lost, replaced with installation stub file.

Expected results:
install with new config file as .rpmnew, or worst case save old file as rpmsave.

Additional info:
Comment 1 David Cantrell 2006-10-30 16:02:47 EST
The dhcpd.conf file is in the RPM as %config(noreplace), so you should always
get a .rpmnew version of the dhcpd.conf file.

I'll do an upgrade of FC5 to FC6 and see if the same thing happens here.  If you
can provide any log files or more details on the install you performed, please
post here.
Comment 2 David Cantrell 2006-10-31 17:03:31 EST
I've performed FC5 to FC6 upgrades and dhcpd.conf is not overwritten.

Note You need to log in before you can comment on or make changes to this bug.